/*
 * (c) 2017 BlackBerry Limited. All rights reserved.
 */

#import <Foundation/Foundation.h>

@protocol FeedParserDelegate <NSObject>

- (void)didFinishParsingFeed:(NSArray *)feed;
- (void)didFailWithError:(NSError *)error;

@end

@interface FeedParser : NSObject <NSXMLParserDelegate>

@property (nonatomic, weak) id<FeedParserDelegate> delegate;

- (instancetype)initWithDelegate:(id<FeedParserDelegate>)delegate parsingData:(NSData *)data;

- (void)parse;

@end
