/*
 * (c) 2016 BlackBerry Limited. All rights reserved.
 *
 */


#import "RedToolbar.h"
#import "SettingsViewController.h"
#import "AboutViewController.h"
#import "RSSReaderGDiOSDelegate.h"
#import "Utilities.h"

@implementation RedToolbar

-(id)initWithCoder:(NSCoder *)aDecoder{
    
	self = [super initWithCoder:aDecoder];
    
    if(self)
    {
        //Adjust the tint
        [self setTintColor:maincolor];
        
        //Add the 'About' and 'Settings' bar button items
        UIButton *infoButton = [UIButton buttonWithType:UIButtonTypeInfoLight];
        [infoButton addTarget:self action:@selector(showInfo:) forControlEvents:UIControlEventTouchUpInside];
        UIBarButtonItem *infoBarButtonItem = [[UIBarButtonItem alloc] initWithCustomView:infoButton];
              
        UIBarButtonItem *settingsButton = [[UIBarButtonItem alloc] initWithImage:[UIImage imageNamed:@"settings"] style:UIBarButtonItemStylePlain target:self action:@selector(showSettings:)];
        
        UIBarButtonItem *autospacer = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemFlexibleSpace target:nil action:nil]; 
        
        NSBundle* assetsBundle = [NSBundle bundleWithPath:[[NSBundle mainBundle] pathForResource:@"GDAssets"
                                                                                          ofType:@"bundle"]];
        NSString* path = [assetsBundle pathForResource:@"SECURED_BLACKBERRY_LOGO"
                                                ofType:@"png"];
        UIImageView *logoImageView = [[UIImageView alloc] initWithImage:[UIImage imageWithContentsOfFile:path]];
        UIBarButtonItem *logoItem = [[UIBarButtonItem alloc] initWithCustomView:logoImageView];
        
        NSArray *itemsArray = [NSArray arrayWithObjects:
                               infoBarButtonItem,
                               logoItem,
                               autospacer,
                               settingsButton,
                               nil];
        
        [self setItems:itemsArray animated:NO];
    }
    
    return self;
}


//Launch the 'About' View Controller
-(void)showInfo:(id)sender{
    
    //launch info page
    UIStoryboard *uiStoryboard = [Utilities storyboard];
    AboutViewController *aboutViewController = [uiStoryboard instantiateViewControllerWithIdentifier:@"AboutViewController"];
    [aboutViewController setModalTransitionStyle:UIModalTransitionStyleFlipHorizontal];
    [aboutViewController setModalPresentationStyle:UIModalPresentationFullScreen];
    [Utilities showVC:aboutViewController];
}


//Launch the 'Settings' View Controller
-(void)showSettings:(id)sender{
    
    //launch info page
    UIStoryboard *uiStoryboard = [Utilities storyboard];
    SettingsViewController *settingsViewController = [uiStoryboard instantiateViewControllerWithIdentifier:@"SettingsViewController"];
    [settingsViewController setModalTransitionStyle:UIModalTransitionStylePartialCurl];
    [settingsViewController setModalPresentationStyle:UIModalPresentationFullScreen];
    [Utilities showVC:settingsViewController];
}

@end
