/*
 *  This file contains Good Sample Code subject to the Good Dynamics SDK Terms and Conditions.
 *  (c) 2013 Good Technology Corporation. All rights reserved.
 */

#import <Foundation/Foundation.h>

/* A delegate to allow the downloader to notify it's user that it has finished.
 */
@protocol FeedDownloadDelegate <NSObject>
@required
/* The download is finished, if it failed then 'data' will be nil */
- (void) downloadDone:(NSData*) data;
@end


@interface FeedDownloadBase : NSObject {
 id <FeedDownloadDelegate> __weak  delegate;
}

#if !(__has_feature(objc_arc))
@property (nonatomic, assign) id<FeedDownloadDelegate> delegate;
#else  
@property (weak) id<FeedDownloadDelegate> delegate;
#endif

/* Requests the data from a specific URL. This can trigger SSL relaxation or authentication dialogs
 */
- (void)requestData:(NSString*) url;

/* Aborts the current request at the HTTP level.
 */
- (void)abortRequest;

@end
