/*
 * (c) 2017 BlackBerry Limited. All rights reserved.
 */

#import "Utilities.h"
#import "RSSReaderGDiOSDelegate.h"

static NSString * const IPAD_STORYBOARD = @"Main_iPad";
static NSString * const IPHONE_STORYBOARD = @"Main_iPhone";

@implementation Utilities

+ (UIStoryboard *)storyboard {
    UIUserInterfaceIdiom type = [[UIDevice currentDevice] userInterfaceIdiom];
    NSString *name = type == UIUserInterfaceIdiomPhone ? IPHONE_STORYBOARD : IPAD_STORYBOARD;
    return [UIStoryboard storyboardWithName:name bundle:nil];
}

+ (void)showVC:(UIViewController *)vc
{
    RSSReaderGDiOSDelegate *appDel = [RSSReaderGDiOSDelegate sharedInstance];
    
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone)
    {
        UINavigationController *navigation = [[UINavigationController alloc] initWithRootViewController:vc];
        [appDel.navController presentViewController:navigation animated:YES completion:NULL];
    }
    else
    {
        //iPad
        
        //Check this is not already the 'About' view controller
        UINavigationController *nc = appDel.detailNavigationController;
        if (![[nc.viewControllers lastObject] isKindOfClass:[vc class]])
            [nc setViewControllers:@[vc] animated:NO];
    }
}

@end
