/*
 *  This file contains Good Sample Code subject to the Good Dynamics SDK Terms and Conditions.
 *  (c) 2013 Good Technology Corporation. All rights reserved.
 */

#import "SettingsViewController.h"
#import "RSSManager.h"
#import <GD/GDLogManager.h>

@interface SettingsViewController ()

@property(strong, nonatomic) IBOutlet UISegmentedControl *requestSegControl;

@end

@implementation SettingsViewController

- (void)viewDidLoad
{
    [super viewDidLoad];    
    //Update seg control selected index
    [self.requestSegControl setSelectedSegmentIndex:[RSSManager sharedRSSManager].currentRequestMode];
    self.navigationItem.title = @"Settings";
}

//For iPhone
#pragma mark - tap dismiss
- (IBAction)dismissSettings:(UITapGestureRecognizer *)tapGesture
{
    [self dismissViewControllerAnimated:YES completion:NULL];
}

#pragma mark - actions
- (IBAction)requestAPIChanged:(UISegmentedControl *)sender
{
    //Change current request mode 
	[[RSSManager sharedRSSManager] changeCurrentRequestMode:sender.selectedSegmentIndex];
}

- (IBAction)uploadLogsPressed:(UIButton *)sender
{
    NSString *title = @"Upload Logs?";
    NSString *message = @"A snapshot of your logs will be taken now and uploaded to the server for troubleshooting.\nThe upload process may take some time but it will continue in the background whenever possible until all the logs have been uploaded.\n Do you want to upload the logs now?";
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:title
                                                                   message:message
                                                            preferredStyle:UIAlertControllerStyleAlert];
    UIAlertAction *cancel = [UIAlertAction actionWithTitle:@"Cancel"
                                                     style:UIAlertActionStyleCancel
                                                   handler:nil];
    [alert addAction:cancel];
    UIAlertAction *upload = [UIAlertAction actionWithTitle:@"Upload"
                                                     style:UIAlertActionStyleDefault
                                                   handler:^(UIAlertAction * _Nonnull action) {
                                                       [[GDLogManager sharedInstance] openLogUploadUI];
                                                   }];
    [alert addAction:upload];
    [self presentViewController:alert animated:YES completion:nil];
}

@end
